package com.ifish.enums;


/**
 * 直播间排序
 * @author Administrator
 *
 */
public enum LiveRoomOrderTypeEnum {
	one(1,"时间倒序"),
	two(2,"人气值倒序"),
	three(3,"后台推荐顺序");
	
	private LiveRoomOrderTypeEnum(Integer key,String value){
		this.key = key;
		this.value = value;
	}
	
	//普通方法
	public static LiveRoomOrderTypeEnum getAdTypeEnum(Integer key) {
		for (LiveRoomOrderTypeEnum c : LiveRoomOrderTypeEnum.values()) {
			if (c.getKey().equals(key)) {
				return c;
			}
		}
		return null;
	}
		
	private Integer key;
	private String value;
	
	public Integer getKey() {
		return key;
	}
	public void setKey(Integer key) {
		this.key = key;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}
	
}
